-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseNode

Declaration :

- C++ : class UmlBaseNode : public UmlItem
- Java : abstract class UmlBaseNode extends UmlItem

Directly inherited by : UmlNode

Manage the nodes

Artifact : UmlBaseNode

Operation create

Declaration :

- C++ : public: static UmlNode * create(UmlItem * parent, const char * s)
- Java : public static UmlNode create(UmlItem parent, String s) throws RuntimeException

returns a new node named 's' created under 'parent'
In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation associatedDiagram

Declaration :

- C++ : public: UmlDeploymentDiagram * associatedDiagram()
- Java : public UmlDeploymentDiagram associatedDiagram()

returns the optional associated diagram

Operation set_AssociatedDiagram

Declaration :

- C++ : public: bool set_AssociatedDiagram(UmlDeploymentDiagram * d)
- Java : public void set_AssociatedDiagram(UmlDeploymentDiagram d) throws RuntimeException

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- C++ : private: UmlDeploymentDiagram * _assoc_diagram
- Java : private UmlDeploymentDiagram _assoc_diagram

Operation UmlBaseNode

Declaration :

- C++ : protected: UmlBaseNode(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseNode(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

All public operations :

apply , associatedDiagram , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload